For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for APIs, version Calculations.
For other versions, use one of these documentation indexes:
- Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
- Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
- E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
- Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
- Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
- Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
- 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
- Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
- ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
- Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt
Access control: this endpoint is available to users with the everyone role.
Retrieves the status and results of a tax code recommendation batch for the specified company.
If the batch status is “Completed”, the response includes the tax code recommendations for all items in the batch.
If the batch status is “Waiting”, “Processing”, or any other non-complete status, only the status information is returned.
Returns ‘404 Not Found’ if the batch has been deleted or does not exist.
Batches are automatically deleted after 1 day.
Security Policies
This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.
Authentication
Authorizationstring
API Key authentication via header
Path parameters
companyIdintegerRequired
The unique ID of the company.
batchIdlongRequired
The unique ID of the recommendation batch.
Headers
X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0
Identifies the software you are using to call this API. For more information on the client header, see Client Headers .
Response
Success
batchIdlongOptional
The unique ID of the batch.
batchStatusstringOptional
The current processing status of the batch.
Possible values: “Pending”, “Processing”, “Completed”, “Failed”, “Deleted”
valuelist of objectsOptional
The list of items with their tax code recommendations. This property is populated only when the batch status is "Completed".
messagestringOptional
An optional message providing additional information about the batch.